Main Page Modules Data Structures File List Data Fields Globals Related Pages

# Keyed Hash Functions: HMAC-MD5

## Files
file | hmacmd5.c
| HMAC-MD5 message authentication code, code.

file | hmacmd5.h
| HMAC-MD5 message authentication code, header.

## Data Structures
struct | hmacmd5Param
## Functions
int | hmacmd5Setup (hmacmd5Param *sp, const uint32 *key, int keybits)
int | hmacmd5Reset (hmacmd5Param *sp)
int | hmacmd5Update (hmacmd5Param *sp, const byte *data, int size)
int | hmacmd5Digest (hmacmd5Param *sp, uint32 *data)
## Variables
const keyedHashFunction | hmacmd5

## Function Documentation

int hmacmd5Digest | ( | hmacmd5Param * | sp,
|  | uint32 * | data
| ) |

| Definition at line 52 of file hmacmd5.c.

int hmacmd5Reset | ( | hmacmd5Param * | sp | ) |

| Definition at line 42 of file hmacmd5.c.

int hmacmd5Setup | ( | hmacmd5Param * | sp,
|  | const uint32 * | key,
|  | int | keybits
| ) |

| Definition at line 37 of file hmacmd5.c.

int hmacmd5Update | ( | hmacmd5Param * | sp,
|  | const byte * | data,
|  | int | size
| ) |

| Definition at line 47 of file hmacmd5.c.

## Variable Documentation

const keyedHashFunction hmacmd5

| Definition at line 49 of file hmacmd5.h.